module.exports = function(grunt) {

  // Project configuration.
  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),
    clean: ['build/*', 'compile/*'],
    
	ts: {
		compile: {
			src: ["src/*.ts"],
			outDir:'compile/',
			options: {
				target: 'es3',
				sourceMap: false,
			}
		},
	},
	copy: {
      index: {
        src:['index.html'],
        dest:'build/',
        options: {}
      },
      data: {
        src: ['data/**'],
        dest:'build/',
        options: {}
      },
	  lib: {
        src: ['lib/babylon.2.5.beta.js', 'lib/babylon.animation.fix.js', 'lib/babylon.canvas2d.js', 'lib/jquery-2.1.1.min.js'],
        dest:'build/',
        options: {}
      },
    },
	
        concat: {
            js: {
                src: [
					'compile/*.js',
				],
                dest: 'compile/game.concat.js',
            }
        },
	
	
	uglify: {
      options: {
        banner: '/*! <%= pkg.name %> <%= grunt.template.today("yyyy-mm-dd") %> */\n'
      },
      build: {
        files: [{
          src: ['compile/game.concat.js'],
          dest: 'build/game.min.js'
        }]
      }
    }
  });

  grunt.loadNpmTasks('grunt-contrib-concat');
  grunt.loadNpmTasks('grunt-contrib-uglify');
  grunt.loadNpmTasks('grunt-contrib-copy');
  grunt.loadNpmTasks('grunt-contrib-clean');
  grunt.loadNpmTasks("grunt-ts");

  // Default task(s).
  grunt.registerTask('default', ['clean', 'ts:compile', 'concat', 'uglify', 'copy']);

};

