BABYLON.Animatable.prototype.goToFrame = function (frame) {

    var animations = this._animations;

    if (animations[0]) {
        var fps = animations[0].framePerSecond;
        var currentFrame = animations[0].currentFrame;
        var adjustTime = frame - currentFrame;
        var delay = adjustTime * 1000 / fps;
        this._localDelayOffset -= delay;
    }

    for (var index = 0; index < animations.length; index++) {
        animations[index].goToFrame(frame);
    }

};


BABYLON.Skeleton.prototype.beginAnimation = function (name, loop, speedRatio, onAnimationEnd) {
    var range = this.getAnimationRange(name);
    if (!range) {
        return null;
    }
    return this._scene.beginAnimation(this, range.from + 1, range.to - 1, loop, speedRatio, onAnimationEnd);
};

