/// <reference path="../lib/babylon.2.4.d.ts" />
/// <reference path="main.ts" />
var CustomLoadinScreen = (function () {
    function CustomLoadinScreen() {
    }
    CustomLoadinScreen.prototype.displayLoadingUI = function () {
        var htmlElement = document.getElementById("jploading");
        htmlElement.style.opacity = "1";
        htmlElement.style.display = "block";
        this.animationTimeout = window.setTimeout(this.updateAnimation.bind(this), 200);
    };
    CustomLoadinScreen.prototype.updateAnimation = function () {
        var htmlElement = document.getElementById("jploadingdots");
        if (htmlElement.innerHTML == "...") {
            htmlElement.innerHTML = "";
        }
        else if (htmlElement.innerHTML == "") {
            htmlElement.innerHTML = ".";
        }
        else if (htmlElement.innerHTML == ".") {
            htmlElement.innerHTML = "..";
        }
        else {
            htmlElement.innerHTML = "...";
        }
        this.animationTimeout = window.setTimeout(this.updateAnimation.bind(this), 200);
    };
    CustomLoadinScreen.prototype.hideLoadingUI = function () {
        window.clearTimeout(this.animationTimeout);
        var htmlElement = document.getElementById("jploading");
        htmlElement.style.opacity = "0";
        htmlElement.addEventListener("transitioned", function () {
            this.style.display = "none";
        }.bind(htmlElement));
    };
    return CustomLoadinScreen;
}());
window.addEventListener('DOMContentLoaded', function () {
    var canvas = document.getElementById('renderCanvas');
    var engine = new BABYLON.Engine(canvas, true);
    engine.enableOfflineSupport = false;
    engine.loadingScreen = new CustomLoadinScreen();
    engine.displayLoadingUI();
    BABYLON.SceneLoader.ShowLoadingScreen = false;
    BABYLON.SceneLoader.Load("data/", "room.babylon", engine, function (scene) {
        scene.executeWhenReady(function () {
            //BABYLON.SceneLoader.ImportMesh
            new Main(scene, canvas);
            engine.hideLoadingUI();
            engine.runRenderLoop(function () {
                scene.render();
            });
        });
    });
    function resize() {
        var height = window.innerHeight;
        var width = window.innerWidth;
        var newHeight = width / (16 / 9);
        if (newHeight <= height) {
            engine.getRenderingCanvas().style.width = "100%";
            engine.getRenderingCanvas().style.height = newHeight + "px";
        }
        else {
            engine.getRenderingCanvas().style.width = height / (9 / 16) + "px";
            engine.getRenderingCanvas().style.height = "100%";
        }
        engine.resize();
    }
    window.addEventListener('resize', function () {
        resize();
    });
    resize();
});
